> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/java/ignore-getters-setters-and-default-constructors.md).

# Ignore Getters/Setters & Default Constructors

### Problem <a href="#problem" id="problem"></a>

SeaLights Java build scan includes default getters/setters and default constructors and I don't want to receive coverage and/or quality risks for them

### Solution <a href="#solution" id="solution"></a>

Although default getters/setters and default constructors are code and should also be tested, we understand certain companies would decide to exclude them from the data scanned and tested.\
Therefore, if you pass the following flags to the build scanner and set them to false they will be excluded automatically from the scan.

{% code overflow="wrap" lineNumbers="true" %}

```
-Dsl.featuresData.reportOnConstructors=false
-Dsl.featuresData.reportOnGettersAndSetters=false
```

{% endcode %}

**Sample of updated 'scan' command**

{% code overflow="wrap" lineNumbers="true" %}

```
java -Dsl.featuresData.reportOnConstructors=false -Dsl.featuresData.reportOnGettersAndSetters=false -jar sl-build-scanner.jar -scan -tokenfile /path/to/sltoken.txt -buildsessionidfile buildSessionId.txt -workspacepath "/path/to/war/files" -fi "*.war"
```

{% endcode %}

### Related articles <a href="#related-articles" id="related-articles"></a>

* [Pivotal Cloud Foundry (PCF) Support](/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-agent/pivotal-cloud-foundry-pcf-support.md) (Java)
* [NodeJS - JavaScript heap out of memory](/knowledgebase/setup-and-configuration/troubleshooting-faq/node-javascript/nodejs-javascript-heap-out-of-memory.md) (NodeJS)
* [Testing Frameworks Integration](/knowledgebase/setup-and-configuration/integrations/testing-frameworks-integration.md)
* [Installing the Coverage Listener as a JVM Java Agent](/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-agent/default-usage-cli/installing-the-coverage-listener-as-a-jvm-java-agent.md)
* [Legacy CD Agent for Java Application](/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/cd-agent/cd-agent-for-java-application.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/java/ignore-getters-setters-and-default-constructors.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
